package com.ruoyi.branch.service;

import java.util.List;
import com.ruoyi.branch.domain.TBranchStudy;

/**
 * 支部党课学习Service接口
 * 
 * @author ruoyi
 * @date 2023-06-09
 */
public interface ITBranchStudyService 
{
    /**
     * 查询支部党课学习
     * 
     * @param studyId 支部党课学习主键
     * @return 支部党课学习
     */
    public TBranchStudy selectTBranchStudyByStudyId(Long studyId);

    /**
     * 查询支部党课学习列表
     * 
     * @param tBranchStudy 支部党课学习
     * @return 支部党课学习集合
     */
    public List<TBranchStudy> selectTBranchStudyList(TBranchStudy tBranchStudy);

    /**
     * 新增支部党课学习
     * 
     * @param tBranchStudy 支部党课学习
     * @return 结果
     */
    public int insertTBranchStudy(TBranchStudy tBranchStudy);

    /**
     * 修改支部党课学习
     * 
     * @param tBranchStudy 支部党课学习
     * @return 结果
     */
    public int updateTBranchStudy(TBranchStudy tBranchStudy);

    /**
     * 批量删除支部党课学习
     * 
     * @param studyIds 需要删除的支部党课学习主键集合
     * @return 结果
     */
    public int deleteTBranchStudyByStudyIds(Long[] studyIds);

    /**
     * 删除支部党课学习信息
     * 
     * @param studyId 支部党课学习主键
     * @return 结果
     */
    public int deleteTBranchStudyByStudyId(Long studyId);
}
